### Method

# GLib Sequence sort_iter

since: 2.14

#### Declaration

    void
    g_sequence_sort_iter (
      GSequence* seq,
      GSequenceIterCompareFunc cmp_func,
      gpointer cmp_data
    )

#### Description

Like g_sequence_sort(), but uses a `GSequenceIterCompareFunc` instead of a `GCompareDataFunc` as the compare function

`cmp_func` is called with two iterators pointing into `seq`. It should return 0 if the iterators are equal, a negative value if the first iterator comes before the second, and a positive value if the second iterator comes before the first.

Available since: 2.14

#### Parameters

`cmp_func`

  Type: `GSequenceIterCompareFunc`

  The function used to compare iterators in the sequence.

`cmp_data`

  Type: `gpointer`

  User data passed to `cmp_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.